# StationSettings Struct Reference

Settings related to stations. More...

`#include <settings_type.h>`

## Data Fields
bool | modified_catchment
| different-size catchment areas
bool | join_stations
| allow joining of train stations
bool | nonuniform_stations
| allow nonuniform train stations
bool | adjacent_stations
| allow stations to be built directly adjacent to other stations
bool | distant_join_stations
| allow to join non-adjacent stations
bool | always_small_airport
| always allow small airports
byte | station_spread
| amount a station may spread

## Detailed Description

Settings related to stations.

Definition at line 332 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h